import pyoct
import MLab

class octave:
    def __init__(self, echo=512):
        self.name = pyoct.open()
        pyoct.echo(self.name, echo)
    def __del__(self):
        pyoct.close(self.name)
    def echo(self, len=512):
        pyoct.echo(self.name, len)
    def eval(self, str):
        pyoct.eval(self.name, str)
    def put(self, varname, var):
        pyoct.put(self.name, varname, var)
    def get(self, varname):
        return MLab.squeeze(pyoct.get(self.name, varname))





